Description

We need to:

Give sudo privileges to the commands esecuted by the Ruseradd.sh script

Related issues:

Related to D4Science Infrastructure - Task #183: tomcat running as root user ... Closed May 30, 2015

History

#1 - Jul 21, 2016 12:02 PM - Andrea Dell'Amico

We need to:

Give sudo privileges to the commands esecuted by the Ruseradd.sh script

Add firewall rules to isolate tomcat while still giving direct access from the isti network, for issue debugging

Create a playbook that installs the r-connector

#2 - Jul 21, 2016 12:04 PM - Andrea Dell'Amico

- Status changed from New to In Progress

Starting with rstudio-dev

#3 - Jul 21, 2016 01:38 PM - Andrea Dell'Amico

- Related to Task #183: tomcat running as root user under port 80 added

#4 - Jul 21, 2016 07:27 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

It seems I got it working. I heavily modified the script that adds the users so that it uses sudo.

It also creates an empty userconfig.csv on the user's home with the correct permissions.

To replicate the configuration on the production server, a one time command will be needed to correct the permission of all the userconfig.csv files. Its

group now needs to be gcube, with write access.

The configuration of the dev node lives on ansible inside d4science-ghn-cluster/group_vars/rstudio_dev while the r_connector stuff is in

library/roles/smartgears/r_connector.

The rstudio-server installation and the ldap pam configuration aren't managed by the playbook right now.

#5 - Jul 22, 2016 01:12 PM - Andrea Dell'Amico

I provisioned the production instance too, in the same way. I also changed the home directory permissions for the existing users.

#6 - Jul 22, 2016 02:13 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed

Working correctly in production too.
